Skip to content
Start here

Delete a Notification policy

alerting.policies.delete(strpolicy_id, PolicyDeleteParams**kwargs) -> PolicyDeleteResponse
DELETE/accounts/{account_id}/alerting/v3/policies/{policy_id}

Delete a Notification policy.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
account_id: str

The account id

maxLength32
policy_id: str

The unique identifier of a notification policy

maxLength32
ReturnsExpand Collapse
class PolicyDeleteResponse:
errors: List[Error]
message: str
code: Optional[int]
minimum1000
messages: List[Message]
message: str
code: Optional[int]
minimum1000
success: Literal[true]

Whether the API call was successful

result_info: Optional[ResultInfo]
count: Optional[float]

Total number of results for the requested service

page: Optional[float]

Current page within paginated list of results

per_page: Optional[float]

Number of results per page of results

total_count: Optional[float]

Total results available without any search parameters

Delete a Notification policy

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
policy = client.alerting.policies.delete(
    policy_id="0da2b59ef118439d8097bdfb215203c9",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(policy.errors)
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}